Bug 976051 - Review Request: jsmpp - Java SMPP (Short Message Peer-to-peer) API
Review Request: jsmpp - Java SMPP (Short Message Peer-to-peer) API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136
  Show dependency treegraph
 
Reported: 2013-06-19 15:53 EDT by gil cattaneo
Modified: 2015-02-03 17:55 EST (History)
2 users (show)

See Also:
Fixed In Version: jsmpp-2.1.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-03 17:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-19 15:53:37 EDT
Spec URL: http://gil.fedorapeople.org/jsmpp.spec
SRPM URL: http://gil.fedorapeople.org/jsmpp-2.1.0-1.fc18.src.rpm
Description: 
The Java implementation of SMPP protocol (currently supports SMPP v 3.4).
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5521585
Comment 2 gil cattaneo 2015-02-02 12:07:24 EST
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8796550
Comment 3 Michael Simacek 2015-02-03 07:03:09 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Apache (v2.0)". 13 files have
     unknown license. Detailed output of licensecheck in
     /home/msimacek/976051-jsmpp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java
    False positive
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Java:
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jsmpp-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jsmpp-2.1.0-1.fc22.noarch.rpm
          jsmpp-examples-2.1.0-1.fc22.noarch.rpm
          jsmpp-javadoc-2.1.0-1.fc22.noarch.rpm
          jsmpp-2.1.0-1.fc22.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
jsmpp-examples (rpmlib, GLIBC filtered):
    jsmpp

jsmpp-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jsmpp (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(log4j:log4j:1.2.17)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)



Provides
--------
jsmpp-examples:
    jsmpp-examples

jsmpp-javadoc:
    jsmpp-javadoc

jsmpp:
    jsmpp
    mvn(com.googlecode.jsmpp:jsmpp)
    mvn(com.googlecode.jsmpp:jsmpp:pom:)
    mvn(org.apache.servicemix.bundles:org.apache.servicemix.bundles.jsmpp)
    mvn(org.apache.servicemix.bundles:org.apache.servicemix.bundles.jsmpp:pom:)
    osgi(com.googlecode.jsmpp)



Source checksums
----------------
http://jsmpp.googlecode.com/files/jsmpp-2.1.0-src.zip :
  CHECKSUM(SHA256) this package     : 8e87e0b58f7288893634644a852579106129596aa08c9ae0c5437e4a10cb6b9b
  CHECKSUM(SHA256) upstream package : 8e87e0b58f7288893634644a852579106129596aa08c9ae0c5437e4a10cb6b9b
http://repo1.maven.org/maven2/com/googlecode/jsmpp/jsmpp/2.1.0-RELEASE/jsmpp-2.1.0-RELEASE.pom :
  CHECKSUM(SHA256) this package     : 1f90c8bd3b6ffc789098ba3d0408b1b67700651a252d9b535d7b4732c773edce
  CHECKSUM(SHA256) upstream package : 1f90c8bd3b6ffc789098ba3d0408b1b67700651a252d9b535d7b4732c773edce


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 976051
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Looks ok, APPROVED.
Comment 4 gil cattaneo 2015-02-03 10:54:47 EST
New Package SCM Request
=======================
Package Name: jsmpp
Short Description: Java SMPP (Short Message Peer-to-peer) API
Upstream URL: http://code.google.com/p/jsmpp/
Owners: gil
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2015-02-03 11:31:28 EST
Git done (by process-git-requests).
Comment 6 gil cattaneo 2015-02-03 17:54:54 EST
Thanks for everything!
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8813599

Note You need to log in before you can comment on or make changes to this bug.